Skip to main content
GET
/
v1
/
me
Current API key context
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.arcmira.com/v1/me', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.arcmira.com/v1/me"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
curl --request GET \
--url https://api.arcmira.com/v1/me \
--header 'Authorization: Bearer <token>'
{
  "user_id": "<string>",
  "tier": "<string>",
  "scopes": [
    "<string>"
  ],
  "rate_limit": 123,
  "recommendations_api_enabled": true,
  "usage": {
    "rows_used": 123,
    "rows_remaining": 123,
    "monthly_rows": 123,
    "current_spend_cents": 123
  }
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Success

user_id
string | null
required

Id of the user the API key belongs to.

tier
string
required

Plan tier, e.g. free, hobby, pro, teams, enterprise.

scopes
string[]
required

Scopes granted to this API key, e.g. read, monitors:write, trackers:write, recommendations:read.

rate_limit
integer
required

Requests allowed per 60-second window for this key: 600 for enterprise/teams, 240 for other paid tiers, 60 for free, unless a per-key override is set.

recommendations_api_enabled
boolean
required

True when the plan includes the Recommendations API (commercial intelligence endpoints).

usage
object
required